let config
if (process.env.NODE_ENV === 'development') {
  config = require('./config_development')
} else if(process.env.NODE_ENV === 'trial') {
  config = require('./config_trial')
} else {
  config = require('./config_production')
}
const APP_NAME = config.APP_NAME
const SERVER_API_DOMAIN = config.SERVER_API_DOMAIN
const SERVER_API_HTTP_TYPE = config.SERVER_API_HTTP_TYPE
const SERVER_API_PORT = config.SERVER_API_PORT
const SERVER_API_VERSION = config.SERVER_API_VERSION
const REQUEST_URL = config.REQUEST_URL
const WEBSOCKET_HOST = config.WEBSOCKET_HOST
const BONUS_WEBSOCKET_HOST = config.BONUS_WEBSOCKET_HOST
const DEVICE_TYPE = config.DEVICE_TYPE
const ACCESS_TOKEN_PREFIX = config.ACCESS_TOKEN_PREFIX
const CDN_BASE_URL = config.CDN_BASE_URL
const CDN_IMG_URL = config.CDN_IMG_URL
const PRICE_IS_ROUND = config.PRICE_IS_ROUND
const FRONTEND_SERVER = config.FRONTEND_SERVER
const REGION_URL = config.REGION_URL

export {
  APP_NAME,
  SERVER_API_DOMAIN,
  SERVER_API_HTTP_TYPE,
  SERVER_API_PORT,
  SERVER_API_VERSION,
  REQUEST_URL,
  WEBSOCKET_HOST,
  BONUS_WEBSOCKET_HOST,
  DEVICE_TYPE,
  ACCESS_TOKEN_PREFIX,
  CDN_BASE_URL,
  CDN_IMG_URL,
  PRICE_IS_ROUND,
  FRONTEND_SERVER,
  REGION_URL
}
